/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/* This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (C) Copyright 2009 Novell, Inc.
 */

#ifndef NMN_PLUG_H
#define NMN_PLUG_H

#include <gtk/gtk.h>

#define NMN_TYPE_PLUG            (nmn_plug_get_type ())
#define NMN_PLUG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), NMN_TYPE_PLUG, NmnPlug))
#define NMN_PLUG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), NMN_TYPE_PLUG, NmnPlugClass))
#define NMN_IS_PLUG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NMN_TYPE_PLUG))
#define NMN_IS_PLUG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), NMN_TYPE_PLUG))
#define NMN_PLUG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), NMN_TYPE_PLUG, NmnPlugClass))

typedef struct {
    GtkPlug parent;
} NmnPlug;

typedef struct {
    GtkPlugClass parent;
} NmnPlugClass;

GType nmn_plug_get_type (void);

GtkWidget *nmn_plug_new  (void);
void       nmn_plug_push (NmnPlug *self,
                          GtkWidget *widget);

void       nmn_plug_pop  (NmnPlug *self);

#endif /* NMN_PLUG_H */
